{% extends 'registration/base_registration.html' %}
{% load crispy_forms_tags %}
{% load static %}
{% block content %}

  <style>body
  {
    background-image: url('{% static "/img/login_back.jpg" %}');
  }</style>
  
  
  {% csrf_token %}
  
  <div class='card mt-5 p-2 bg-white'>
    <img class="rounded mx-auto d-block mb-2" width="200" src='{% static "/img/logo.jpg" %}'></img>
    {% if next %}
    {% if user.is_authenticated %}
      <p class='text-center'>Your account doesn't have access to this page. To proceed,
      please login with an account that has access.</p>
    {% else %}
      <p class='text-center'>Veuillez vous connecter à Skilliz</p>
    {% endif %}
     {% endif %}
      {% if form.errors %}
        <p class='text-center'>Votre adresse mail et/ou votre mot de passe ne correspondent pas</p>
      {% endif %}
     <form class='fom' method="post" action="{% url 'login' %}">
      {% csrf_token %}
      <div class="form-group">
          <label for="username">Adresse mail</label>
          <input class="form-control" id="id_username" type="text" name="username">
     </div>
     <div class="form-group">
          <label>Mot de passe</label>
          <input class='form-control' id="id_password" type="password" name="password">
     </div>
      <input class='btn btn-dark' type="submit" value="Se connecter" />
      <input type="hidden" name="next" value="{{ next }}" />
    </form>
    <p><a href="{% url 'password_reset' %}">Mot de passe oublié ?</a></p>
  </div> 
  
  
  
  {% endblock %}